package com.zksy.pole.MQTTServer.Fliter;

import java.util.HashMap;
import java.util.Map;

/**
 * @author ShaoYang
 * @date 2024/03/13 17:55
 */

class TrieNode {
    //key 为订阅的节点 ，例如订阅地址，testA/testB/testc  testA、testB、testc都算作某个订阅节点
    private final Map<String, TrieNode> children = new HashMap<>();
    private boolean endOfWord;

    Map<String, TrieNode> getChildren() {
        return children;
    }

    boolean isEndOfWord() {
        return endOfWord;
    }

    void setEndOfWord(boolean endOfWord) {
        this.endOfWord = endOfWord;
    }
}

